#!/bin/bash

A=$(docker inspect --format='{{range .NetworkSettings.Networks}}{{.IPAddress}}{{end}}' party0)
B=$(docker inspect --format='{{range .NetworkSettings.Networks}}{{.IPAddress}}{{end}}' party1)
C=$(docker inspect --format='{{range .NetworkSettings.Networks}}{{.IPAddress}}{{end}}' party2)
echo $A
echo $B
docker exec -w /root/duoram/cpir-read/cxx party1 ./spir_test1 $A 15 4 100 2 &
echo "P1 launched"
sleep 2;
docker exec -w /root/duoram/cpir-read/cxx party0 ./spir_test0 $B 15 4 100 2 &
echo "P0 launched"
wait               